#ifndef LABELEDITTYPE_H
#define LABELEDITTYPE_H

#include <QLabel>

// 自定义LabelEditType类，继承自QLabel
class QLineEdit;
class LabelEditType : public QLabel
{
    Q_OBJECT
public:
    // 构造函数，接受一个父部件指针
    explicit LabelEditType(QWidget *parent = nullptr);

public slots:
    // 打开编辑器的槽函数
    void openEditor();

private slots:
    // 编辑完成后的槽函数
    void onFinishedEdit();

signals:
    // 编辑开始信号
    void editingStarted();
    // 编辑完成信号，携带编辑的文本
    void editingFinished(const QString &text);

private:
    // 编辑器指针
    QLineEdit *m_editor;
};

#endif // LABELEDITTYPE_H